Bug 134025 - Update port: x11-wm/dwm to 5.5
Summary: Update port: x11-wm/dwm to 5.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-26 20:30 UTC by Jeroen Schot
Modified: 2009-04-27 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.07 KB, patch)
2009-04-26 20:30 UTC, Jeroen Schot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Schot 2009-04-26 20:30:01 UTC
Update port: x11-wm/dwm to 5.5
Attached diff updates the port of x11-wm/dwm from 5.4.1 to 5.5 and adds the new
homepage to pkg-descr.
Comment 1 Martin Wilke freebsd_committer 2009-04-26 20:39:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-04-26 21:05:49 UTC
State Changed
From-To: open->feedback

Hi, 

Build failed: 

http://64bit.miwibox.org/index.php?action=describe_port&id=2418 
http://32bit.miwibox.org/index.php?action=describe_port&id=2305 

could you please take look.
Comment 3 Jeroen Schot 2009-04-26 21:25:54 UTC
Hi,

Apologies, there was an error in the diff, thanks for checking. Attached is a
new one that fixes this.

diff -ruN dwm.orig/Makefile dwm/Makefile
--- dwm.orig/Makefile	2009-02-10 15:02:22.000000000 +0100
+++ dwm/Makefile	2009-04-21 13:11:26.000000000 +0200
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	dwm
-PORTVERSION=	5.4.1
+PORTVERSION=	5.5
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://code.suckless.org/dl/${PORTNAME}/ \
 		http://schot.a-eskwadraat.nl/files/
@@ -25,7 +25,7 @@
 pre-everything::
 	@${ECHO_MSG} "You can build dwm with your own config.h using the DWM_CONF knob:"
 	@${ECHO_MSG} "make DWM_CONF=/path/to/dwm/config.h install clean"
-	@${ECHO_MSG} "Note: Pre-5.4 config.h-files no longer work."
+	@${ECHO_MSG} "Note: Pre-5.5 config.h-files no longer work."
 
 post-extract:
 .if defined(DWM_CONF)
diff -ruN dwm.orig/distinfo dwm/distinfo
--- dwm.orig/distinfo	2009-02-10 15:02:22.000000000 +0100
+++ dwm/distinfo	2009-04-21 13:11:54.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (dwm-5.4.1.tar.gz) = 9b9d7222740317e03fdaa718322fe1ec
-SHA256 (dwm-5.4.1.tar.gz) = 883c2687064a550904a77fc229bb95713a2bf9b9eb5e2997266cf463610bd142
-SIZE (dwm-5.4.1.tar.gz) = 17970
+MD5 (dwm-5.5.tar.gz) = 352d952e839ab0e2df0b0959a250b098
+SHA256 (dwm-5.5.tar.gz) = ee56b43f3a12c292ae4df2902412ae5a16b345813b9220732e3c48669371b8c8
+SIZE (dwm-5.5.tar.gz) = 17959
diff -ruN dwm.orig/files/patch-config.mk dwm/files/patch-config.mk
--- dwm.orig/files/patch-config.mk	2008-08-06 09:55:13.000000000 +0200
+++ dwm/files/patch-config.mk	2009-04-26 22:15:32.000000000 +0200
@@ -23,7 +23,7 @@
 -CPPFLAGS = -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}
 -CFLAGS = -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}
 -LDFLAGS = -s ${LIBS}
-+CPPFLAGS+= -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}
++CPPFLAGS+= -std=c99 -DVERSION=\"${VERSION}\" ${XINERAMAFLAGS}
 +CFLAGS+= ${INCS} ${CPPFLAGS}
 +LDFLAGS+= ${LIBS}
  
diff -ruN dwm.orig/pkg-descr dwm/pkg-descr
--- dwm.orig/pkg-descr	2008-08-06 09:55:13.000000000 +0200
+++ dwm/pkg-descr	2009-04-21 13:11:38.000000000 +0200
@@ -6,4 +6,4 @@
 single config.h file. dwm reads from standard input to print arbitrary status
 text such as the date and/or system load.
 
-WWW: http://www.suckless.org/dwm
+WWW: http://dwm.suckless.org
Comment 4 Martin Wilke freebsd_committer 2009-04-27 20:15:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-04-27 20:16:17 UTC
miwi        2009-04-27 19:15:47 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/dwm           Makefile distinfo pkg-descr 
    x11-wm/dwm/files     patch-config.mk 
  Log:
  - Update to 5.5
  
  PR:             134025
  Submitted by:   Jeroen Schot <schot@A-Eskwadraat.nl> (maintainer)
  
  Revision  Changes    Path
  1.43      +2 -2      ports/x11-wm/dwm/Makefile
  1.41      +3 -3      ports/x11-wm/dwm/distinfo
  1.15      +1 -1      ports/x11-wm/dwm/files/patch-config.mk
  1.6       +1 -1      ports/x11-wm/dwm/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"